from setuptools import setup, find_packages

setup(
    name="word-count-package",  # ✅ Unique package name on PyPI
    version="1.0.0",  # ✅ Start with version 1.0.0
    author="Your Name",
    author_email="your.email@example.com",
    description="A simple Python package to count words and characters.",
    long_description=open("README.md").read(),  # ✅ Pull description from README
    long_description_content_type="text/markdown",
    packages=find_packages(),  # ✅ Automatically finds `wordcount/`
    install_requires=[],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires='>=3.6',
)
